<?php
session_start(); // start session cookies
include("../login_config.php");
require("../inc/Login.class.php");
$login = new Login; // create object login

$login->authorize(); // make user login

require_once 'HeatMiser/Wifi.php';
require_once '../heating_config.php';

try {
    // ip, pin, optional port
    $hm = new \PhilLavin\HeatMiser\Wifi($heatmiser_ip, $heatmiser_pin);
    $dcb = $hm->get_dcb();
		$dcb->set_heating_target(intval($_REQUEST['temp']));
		//var_dump($dcb);
    $hm->put_dcb($dcb);
    
    header('Location: index.php');
}
catch (\PhilLavin\HeatMiser\ConnectionFailedException $e) {
    die("Failed to connect: ".$e->getMessage()."\n");
}
catch (\Exception $e) {
    die("Exception of type ".get_class($e)." thrown. Error was: {$e->getMessage()}\n");
}
